Subject: Re: [PATCH iproute2 1/1] man: Document COLORFGBG environment variable

From: Petr Vorel <[email-masked]>
Date: Mon, 25 Feb 2019 22:38:28 +0100

Hi Stephen,

> > Default colors are not contrast enough on dark backround
> > and this functionality, which uses more suitable colors
> > is hidden in the code.

> > Signed-off-by: Petr Vorel <[email-masked]>

> COLORFGBG is a semi-standard thing used by many programs.
> Maybe a reference to a more complete description of it on the web
> might be better.
If there is any, I'd have added the link instead :).
So I used the description from the code I got inspiration when adding COLORFGBG
support into iproute2. This description is actually complete for our usage of
the variable. If you don't like it, even mentioning COLORFGBG in man would be
better than nothing (one would look into the source).
People have asked for it before [1].

Kind regards,
Petr

[1] https://patchwork.ozlabs.org/patch/814394/